Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DiscardCall

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.DiscardCall

Enclosing class:
  TdApi

public static final class TdApi.DiscardCall extends TdApi.Function<TdApi.Ok>
Discards a call.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`callId`
Call identifier.
`long`
`connectionId`
Identifier of the connection used during the call.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`duration`
The call duration, in seconds.
`boolean`
`isDisconnected`
Pass true if the user was disconnected.
`boolean`
`isVideo`
Pass true if the call was a video call.

## Constructor Summary

Constructors
Constructor
Description
`DiscardCall()`
Discards a call.
`DiscardCall(int callId, boolean isDisconnected, int duration, boolean isVideo, long connectionId)`
Discards a call.
`DiscardCall(DataInput input)`
Discards a call.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### callId

public int callId
Call identifier.

### isDisconnected

public boolean isDisconnected
Pass true if the user was disconnected.

### duration

public int duration
The call duration, in seconds.

### isVideo

public boolean isVideo
Pass true if the call was a video call.

### connectionId

public long connectionId
Identifier of the connection used during the call.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### DiscardCall

public DiscardCall()
Discards a call.

Returns `Ok`

### DiscardCall

public DiscardCall(int callId, boolean isDisconnected, int duration, boolean isVideo, long connectionId)
Discards a call.

Returns `Ok`

Parameters:
  `callId` - Call identifier.
  `isDisconnected` - Pass true if the user was disconnected.
  `duration` - The call duration, in seconds.
  `isVideo` - Pass true if the call was a video call.
  `connectionId` - Identifier of the connection used during the call.

  Returns `Ok`

### DiscardCall

public DiscardCall(DataInput input) throws IOException
Discards a call.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`